#
# Conditional build:
%bcond_without	python	# Python (any) bindings
%bcond_without	python2	# Python 2 binding
%bcond_without	python3	# Python 3 binding
#
%if %{without python}
%undefine	with_python2
%undefine	with_python3
%endif
Summary:	An interface for SELinux management
Summary(pl.UTF-8):	Interfejs do zarządzania SELinuksem
Name:		libsemanage
Version:	2.7
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20170804/%{name}-%{version}.tar.gz
# Source0-md5:	a6b5c451fbe45ff9e3e0e65f2db0ae1d
Patch0:		%{name}-libexecdir.patch
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	flex
BuildRequires:	libselinux-devel >= 2.7
BuildRequires:	libsepol-devel >= 2.7
%{?with_python2:BuildRequires:	python-devel >= 2}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	libselinux >= 2.7
Requires:	libsepol >= 2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for SELinux management.

%description -l pl.UTF-8
Interfejs do zarządzania SELinuksem.

%package devel
Summary:	Header files for libsemanage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for libsemanage library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libsemanage.

%package static
Summary:	Static version of libsemanage library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsemanage library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsemanage.

%package -n python-semanage
Summary:	Python 2 binding for semanage library
Summary(pl.UTF-8):	Wiązania Pythona 2 do biblioteki semanage
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-selinux >= 2.7

%description -n python-semanage
Python 2 binding for semanage library.

%description -n python-semanage -l pl.UTF-8
Wiązania Pythona 2 do biblioteki semanage.

%package -n python3-semanage
Summary:	Python 3 binding for semanage library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki semanage
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-selinux >= 2.7

%description -n python3-semanage
Python 3 binding for semanage library.

%description -n python3-semanage -l pl.UTF-8
Wiązania Pythona 3 do biblioteki semanage.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -j1 all %{?with_python2:pywrap} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall -fno-strict-aliasing" \
	LIBDIR=%{_libdir} \
	LIBEXECDIR=%{_libdir} \
	PYPREFIX=python2 \
	PYTHON=%{__python}

%if %{with python3}
%{__make} -j1 -C src pywrap \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall -fno-strict-aliasing" \
	LIBDIR=%{_libdir} \
	LIBEXECDIR=%{_libdir} \
	PYPREFIX=python3 \
	PYTHON=%{__python3}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install %{?with_python2:install-pywrap} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	LIBEXECDIR=$RPM_BUILD_ROOT%{_libexecdir} \
	SHLIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	PYPREFIX=python2 \
	PYSITEDIR=$RPM_BUILD_ROOT%{py_sitedir} \
	PYTHON=%{__python} \
	DESTDIR=$RPM_BUILD_ROOT

# changed in 2.4
install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libsemanage.so.* $RPM_BUILD_ROOT/%{_lib}
# adjust .so symlink, make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsemanage.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsemanage.so

%if %{with python2}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%if %{with python3}
%{__make} -C src install-pywrap \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	LIBEXECDIR=$RPM_BUILD_ROOT%{_libexecdir} \
	PYPREFIX=python3 \
	PYSITEDIR=$RPM_BUILD_ROOT%{py3_sitedir} \
	PYTHON=%{__python3} \
	DESTDIR=$RPM_BUILD_ROOT

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsemanage.so.1
%dir %{_sysconfdir}/selinux
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/selinux/semanage.conf
%dir %{_libexecdir}/selinux
%{_mandir}/man5/semanage.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsemanage.so
%{_pkgconfigdir}/libsemanage.pc
%{_includedir}/semanage
%{_mandir}/man3/semanage_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsemanage.a

%if %{with python2}
%files -n python-semanage
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_semanage.so
%{py_sitedir}/semanage.py[co]
%attr(755,root,root) %{_libexecdir}/selinux/semanage_migrate_store
%endif

%if %{with python3}
%files -n python3-semanage
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_semanage.cpython-*.so
%{py3_sitedir}/semanage.py
%{py3_sitedir}/__pycache__/semanage.cpython-*.py[co]
%endif
%changelog
* Fri Dec 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsemanage.git;a=log;h=master

* Fri Dec 01 2017 Jakub Bogusz <qboosh@pld-linux.org> a888ae4
- use _libexecdir; note: _libexecdir setting must be consistent with policycoreutils.spec
- release 2

* Thu Nov 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 5aadb0d
- updated to 2.7
- updated libexecdir patch

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> 3b2506a
- up to 2.6

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ecf8ab
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 69350c5
- added python3 binding

* Fri Oct 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 435a442
- updated to 2.5

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ee2592f
- release 2 (by relup.sh)

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> be126f8
- new URLs, updated to 2.4
- added libexecdir patch to allow specifying LIBEXECDIR

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 528feaa
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 3f1a3d2
- updated to 2.3

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 36826da
- updated to 2.2

* Thu May 24 2012 Jan Rękorajski <baggins@pld-linux.org> 2b9fdce
- rel 2

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> a38bd40
- package semanage.conf(5) manual

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> dfc25d6
- 2.1.6

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0741481
- up to 2.1.0

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 03a7d01
- release 3

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 26dfcb1
- release 2

* Mon Jun 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 38aa103
- updated to 2.0.45

* Wed Jan 20 2010 amateja <amateja@pld-linux.org> 43a24b2
- updated to 2.0.43

* Tue Oct 06 2009 amateja <amateja@pld-linux.org> 94782c9
- updated to 2.0.39

